import pytest
import importlib
code = importlib.import_module('generic_callbacks')

# =======================START CARET TESTS ===========================
def test_rotate_section_1_caret():
    assert code.rotate_section_1_caret(True) == None
    assert code.rotate_section_1_caret(False) == {'top': '.05rem', 'transform': 'rotate(180deg)', '-ms-transform': 'rotate(180deg)', '-webkit-transform': 'rotate(180deg)'}

def test_rotate_section_2_caret():
    assert code.rotate_section_2_caret(False) == None
    assert code.rotate_section_2_caret(True) == {'transform': 'rotate(0deg)', '-ms-transform': 'rotate(0deg)', '-webkit-transform': 'rotate(0deg)'}

def test_rotate_section_3_caret():
    assert code.rotate_section_3_caret(False) == None
    assert code.rotate_section_3_caret(True) == {'transform': 'rotate(0deg)', '-ms-transform': 'rotate(0deg)', '-webkit-transform': 'rotate(0deg)'}
# =======================END CARET TESTS ===========================
